from GUI import Window, CheckBox, application

def report():
  print "Check box set to", box.on
 
def change_auto_toggle():
    box.auto_toggle = auto.on

box = CheckBox(
    x = 30, y = 30, width = 150, #height = 30, 
    title = "Check Box", action = report)

auto = CheckBox(x = 30, y = box.bottom + 20, title = "Auto Toggle",
    action = change_auto_toggle, on = 1)

win = Window(width = 200, height = auto.bottom + 30,
    title = "Check Boxes")

win.add(box)
win.add(auto)
win.show()

application().run()
